<!DOCTYPE html>
<html>
    <body >
        
        <div class="hero">
            
            <app-navigation></app-navigation>

            <div *ngIf="allLists!=[]">
                <h2 style="position: absolute; padding-left: 42%;">My Lists</h2><br><br>
                <div *ngFor="let list of allLists">
                <button class="btn a4" (click)="getSongs(list.name)" style="width: 20%; left: 500px; margin-bottom: 15px;" >{{list.name}}</button>
            </div>
        </div>  
                
            <div *ngIf="nameOfList!=='' && nameOfLists.includes(nameOfList)">
                <div class="title-box">
                <h2 style="position: absolute; padding-left: 40%;">{{nameOfList}} </h2>
                <a class="btn a4" style="position: absolute; left: 20px;" id="private" (click)="changePrivateField()">{{priv}}</a>
                <a class="btn a4" style="position: absolute; right:  20px;" (click)="deleteList(nameOfList)">delete</a>
                
            </div>
                    <div *ngFor="let track of tr">
                    <div *ngIf="songsId.includes(track.id)" class="row">
                        <div class="col-md-12">
                            <div class="well album" style="background:#f5b2b2; border-radius: 1.5rem; padding: 1em; box-shadow: 0 0 20px 9px #ff61241f;margin-top:10px;margin-bottom: 30px;margin-right:10px;position:center;margin-left: 10px;">
                            
                                <img class="img img-thumbnail album-thumb" style="height: 20%; width: 20%" src="{{track.album.cover_medium}}">
                            <div class="inner" >
                                <h3>{{track.title}} </h3>
                                <a class = "bot" routerLink="/artist/{{track.artist.id}}">{{track.artist.name}} </a><br>
                                <a class="btn a4" id="play" (click)="play(track.preview)">Play</a>
                                <button class="btn a4" (click)="getLyric(track.title, track.id, track.artist.name)">Lyric</button>
                                <a class="btn a4" style="left: 700px;" (click)="removeTrack(track.id, nameOfList)">Remove</a>
                            </div></div>

                            <div *ngIf="show_lyrics.includes(track.id)">
                                <span style="white-space: pre-line; position: relative; left: 30%; font-family: myFont;">{{track.lyrics}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            
            <div *ngIf="hearted!=[]">
                <h2 style="position: absolute; padding-left: 40%;">Hearted Lists</h2><br><br>
                <div *ngFor="let list of hearted">
                   <button class="btn a4" (click)="getSongsOfHearted(list.name)" style="width: 35%; left: 400px;">{{list.name}}</button>
                   
               <div *ngIf="nameOfList==list.name">
                       <div *ngFor="let track of tracks">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="well album" style="background:#f5b2b2; border-radius: 1.5rem; padding: 1em; box-shadow: 0 0 20px 9px #ff61241f;margin-top:10px;margin-bottom: 30px;margin-right:10px;position:center;margin-left: 10px;">
                                <div class="inner">
                                    <h3>{{track.title}} </h3>
                                    <a class = "bot" routerLink="/artist/{{track.artist.id}}">{{track.artist.name}} </a>
                                    <a class="btn a4" id="play" (click)="play(track.preview)">Play</a>
                                    <a class="btn a4" (click)="getLyric(track.title, track.id, track.artist.name)">Lyric</a>
                                </div>
                                </div>
    
                                <div *ngIf="show_lyrics.includes(track.id)">
                                    <span class="album-extras" style="white-space: pre-line; position: relative; left: 30%; font-family: myFont;">{{track.lyrics}}</span>
                                </div>
                            </div>
                        </div>
                       </div>
                       </div>
                </div>
            </div>



            <div *ngIf="newListName=='' && pressedMakeList" style="text-align: center;" class="alert alert-danger alert-dismissible fade show">
                <strong>You have to give your list a name.</strong> 
            </div>
            <div class="form-box">
                <h2 style="font-size: x-large; color: #F08080;">Make new list</h2>
                <input class="input-field" id="list" placeholder="List name" autocomplete="off" required>
                <button style="width: 100%; margin-top: 15px;" class="btn a4" (click)="newList()" >Save list</button>
            </div>
        </div> 
    </body>
</html>